OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinMDF

# BinMDF_DataMapNodeOfStringIdMap Class Reference

`#include <BinMDF_DataMapNodeOfStringIdMap.hxx>`

## Public Member Functions
| BinMDF_DataMapNodeOfStringIdMap (const TCollection_AsciiString &K, const Standard_Integer &I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_AsciiString | myKey
Standard_Integer | myValue

## Constructor & Destructor Documentation

BinMDF_DataMapNodeOfStringIdMap::BinMDF_DataMapNodeOfStringIdMap | ( | const TCollection_AsciiString & | K,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const BinMDF_DataMapNodeOfStringIdMap::Handle | ( | Standard_Type |  | ) | const

TCollection_AsciiString& BinMDF_DataMapNodeOfStringIdMap::Key | ( |  | ) | const

Standard_Integer& BinMDF_DataMapNodeOfStringIdMap::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString BinMDF_DataMapNodeOfStringIdMap::myKey`[private]`

Standard_Integer BinMDF_DataMapNodeOfStringIdMap::myValue`[private]`

The documentation for this class was generated from the following file:

- BinMDF_DataMapNodeOfStringIdMap.hxx